Quassel IRC - Feature #257

Please make different coloured nicks in chatview
08/06/2008 11:19 PM - jussiO1

Status: Resolved Start date:

Priority: Normal Due date:

Assignee: Sputnick % Done: 100%
Category: General / Unspecified Estimated time: 0.00 hour
Target version: 0.4.0

0S: Any

Description

Please make different coloured nicks in chatview.

Related issues:
Has duplicate Quassel IRC - Feature #403: nick coloring Resolved

History

#1 - 11/28/2008 06:35 PM - jakob

From 43d98369becca673bd6a25bde5c7abfOcece8e48 Mon Sep 17 00:00:00 2001
From: jakob <jakob@ezekiel.(none)>

Date: Fri, 28 Nov 2008 06:51:43 +0100

Subject: [PATCH] - Implemented: Sender auto coloring based on the tango colorscheme

src/qtui/qtuistyle.cpp | 43 +t++++ttttttttttttttttttttttttttttttttttt
src/qtui/qtuistyle.h | 3 ++

src/uisupport/uistyle.cpp | 15 +4++++++4+4++-

src/uisupport/uistyle.h | 26 ++++++t+tttttttttttttt+-

4 files changed, 85 insertions(+), 2 deletions(-)

#2 - 11/28/2008 06:36 PM - jakob

From 6cccf948b2db553285aeb90e3173d65040854c8¢c Mon Sep 17 00:00:00 2001
From: jakob <jakob@ezekiel.(none)>

Date: Fri, 28 Nov 2008 18:01:40 +0100

Subject: [PATCH] - Implemented: Settings option to enable/disable sender auto coloring

src/qtui/settingspages/colorsettingspage.cpp | 9 +
src/qtui/settingspages/colorsettingspage.ui | 260 ++++++++++++tttt----m---

src/uisupport/uistyle.cpp | 27 +-
src/uisupport/uistyle.h | 3+

4-tiles changed. 215 insertions{), 84 deletions()

#3 - 11/28/2008 06:38 PM - jakob
The two provided patches provide the means to have sender auto coloring ready for usage, as well as being able to enable and disable it in the colors
configuration.

The used colors are based on the tange colorscheme and style guidelines which can be found at:
http://tango.freedesktop.org/Tango_lcon_Theme_Guidelines

#4 - 11/28/2008 07:17 PM - jussiO1

Testing this now, seems to work well on first 5 mins of use.

#5 - 01/13/2009 10:14 PM - dalbers

Been using this patch for quite some time now and it works really nice.

One tiny suggestion to consider for ingestion to mainline Quassel:Let coloring in the Chatmon be based on the network and channel information
instead of the nickname.

#6 - 01/14/2009 12:46 AM - dalbers

- File 0001--Implemented-Sender-auto-coloring-based-on-the-tan.patch added
http://tango.freedesktop.org/Tango_Icon_Theme_Guidelines

- File 0002--Implemented-Settings-option-to-enable-disable-sen.patch added

#7 - 01/14/2009 01:15 PM - dalbers

- File 0003-_sender-became-private-use-sender-instead.patch added

#8 - 01/29/2009 12:34 PM - dalbers

- File 0004-Use-Oxygen-palette-as-hardwired-sender-colors-for-no.patch added

#9 - 02/11/2009 04:16 PM - Sputnick

- Status changed from New to Assigned
- Assignee set to Sputnick

- Priority changed from High to Normal
- Target version set to 0.4.0

- OS set to Any

#10 - 02/15/2009 07:17 PM - Sputnick

- Status changed from Assigned to Resolved

- % Done changed from 0 to 100

OK, finally applied the patches. Thanks to jakob for the initial work, and to Daniel for improving and continuously rebasing them ;-)

Note that the setting for enabling this is hidden away in Settings -> Color Settings -> ChatView -> Message -> Sender auto coloring.

Related commits start with http://git.quassel-irc.org/?p

Files

0001--Implemented-Sender-auto-coloring-based-on-the-ta.patch 6.32 KB 11/28/2008 admin
0002--Implemented-Settings-option-to-enable-disable-sen.patch 22.6 KB 11/28/2008 admin
0001--Implemented-Sender-auto-coloring-based-on-the-tan.patch 6.25 KB 01/13/2009 dalbers
0002--Implemented-Settings-option-to-enable-disable-sen.patch 22.6 KB 01/13/2009 dalbers
0003-_sender-became-private-use-sender-instead.patch 1.09 KB 01/14/2009 dalbers
0004-Use-Oxygen-palette-as-hardwired-sender-colors-for-no.patch 4.7 KB 01/29/2009 dalbers
